Skip to content
SynupAPI
Get an API key
GETapi.synup.com/api/v4/locations/{location_id}/reviews/settings

Get a list of interaction sources for location

Review sources are used to pull in reviews from the supported review partners. Each interaction source should have an associated valid URL to pull in reviews from.

Use this endpoint to list the interaction sources for a particular location. This API will return the interaction sources and the associated URL for each source. If the URL is present it means its connected to the location, if the URL is null it means its not connected to the location. It will also return the eligible interaction sources for the location as per the account's subscription.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Path

NameTypeRequiredDescription
location_idstringrequiredBase64 encoded location ID

Request

Request
curl -X GET 'https://api.synup.com/api/v4/locations/:location_id/reviews/settings' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Responses

StatusDescription
200
Example response
{
  "data": {
    "interactionsSetting": {
      "siteSettings": [
        {
          "name": "maps.google.com",
          "url": null
        },
        {
          "name": "facebook.com",
          "url": "https://www.facebook.com/Restaurant12-1655954454665117/"
        },
        {
          "name": "yelp.com",
          "url": null
        },
        {
          "name": "foursquare.com",
          "url": null
        },
        {
          "name": "tripadvisor.com",
          "url": null
        },
        {
          "name": "tripadvisor-attractions.com",
          "url": null
        },
        {
          "name": "dealerrater.com",
          "url": null
        },
        {
          "name": "judysbook.com",
          "url": null
        },
        {
          "name": "merchantcircle.com",
          "url": null
        },
        {
          "name": "opentable.com",
          "url": null
        },
        {
          "name": "yellowbook.com",
          "url": null
        },
        {
          "name": "yellowpages.com",
          "url": null
        },
        {
          "name": "trulia.com",
          "url": null
        },
        {
          "name": "reach150.com",
          "url": null
        },
        {
          "name": "realtor.com",
          "url": null
        },
        {
          "name": "zillow.com",
          "url": null
        },
        {
          "name": "citysearch.com",
          "url": null
        }
      ]
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectrequired
data.interactionsSettingobjectrequired
data.interactionsSetting.siteSettingsarray of objectrequired
data.interactionsSetting.siteSettings[].namestringrequired
data.interactionsSetting.siteSettings[].urlstringrequired